Skip to content

Insights results​

GET
/api/ai/insights/results

The latest Insights scores for the user's tasks, highest score first,
with the signal vocabulary for display. Works whether or not AI is
enabled (it only reads stored results).

Authorizations​

bearerAuth

API token created via POST /api/tokens or the db:create-token CLI command

Type
HTTP (bearer)

Responses​

Insights results

application/json
JSON
{
"data": {
"results": [
{
"task_id": 0,
"score": 0,
"commentary": "string",
"signals": [
"string"
],
"generated_at": "string"
}
],
"generated_at": "string",
"stale": true,
"duration_ms": 0,
"signal_counts": {
"additionalProperties": 0
},
"signals": [
{
"key": "string",
"label": "string",
"color": "string",
"icon": "string",
"description": "string"
}
],
"active_session": {
"session_id": "string",
"completed": 0,
"total_tasks": 0,
"started_at": "string"
}
}
}

Samples​

Powered by VitePress OpenAPI